Index: npl/fileserver/smb-ldap-tool/modified/smbldap-groupdel
===================================================================
--- npl/fileserver/smb-ldap-tool/modified/smbldap-groupdel	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/fileserver/smb-ldap-tool/modified/smbldap-groupdel	(revision fdfd619d81439b0dfb35f7035cb701ae09500852)
@@ -57,9 +57,10 @@
 group_del($dn);
 
-my $nscd_status = system "/etc/init.d/nscd status >/dev/null 2>&1";
-
-if ($nscd_status == 0) {
-  system "/etc/init.d/nscd restart > /dev/null 2>&1";
-}
+# my $nscd_status = system "/etc/init.d/nscd status >/dev/null 2>&1";
+#
+# if ($nscd_status == 0) {
+#   system "/etc/init.d/nscd restart > /dev/null 2>&1";
+# }
+system "nscd -i passwd; nscd -i group";
 
 #if (defined($dn_line = get_group_dn($_groupName))) {
Index: npl/fileserver/smb-ldap-tool/modified/smbldap-groupmod
===================================================================
--- npl/fileserver/smb-ldap-tool/modified/smbldap-groupmod	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/fileserver/smb-ldap-tool/modified/smbldap-groupmod	(revision fdfd619d81439b0dfb35f7035cb701ae09500852)
@@ -48,5 +48,5 @@
   print "  -r   group-rid\n";
   print "  -s   group-sid\n";
-  print "  -t   group-type\n"; 
+  print "  -t   group-type\n";
   print "  -x   delete members (comma delimted)\n";
   print "  -?   show this help message\n";
@@ -66,9 +66,10 @@
 my $newname = $Options{'n'};
 
-my $nscd_status = system "/etc/init.d/nscd status >/dev/null 2>&1";
-
-if ($nscd_status == 0) {
-  system "/etc/init.d/nscd restart > /dev/null 2>&1";
-}
+# my $nscd_status = system "/etc/init.d/nscd status >/dev/null 2>&1";
+#
+# if ($nscd_status == 0) {
+#   system "/etc/init.d/nscd restart > /dev/null 2>&1";
+# }
+system "nscd -i passwd; nscd -i group";
 
 my $gid = getgrnam($groupName);
@@ -223,9 +224,10 @@
 }
 
-$nscd_status = system "/etc/init.d/nscd status >/dev/null 2>&1";
-
-if ($nscd_status == 0) {
-  system "/etc/init.d/nscd restart > /dev/null 2>&1";
-}
+# $nscd_status = system "/etc/init.d/nscd status >/dev/null 2>&1";
+#
+# if ($nscd_status == 0) {
+#   system "/etc/init.d/nscd restart > /dev/null 2>&1";
+# }
+system "nscd -i passwd; nscd -i group";
 
 # take down session
Index: npl/fileserver/smb-ldap-tool/modified/smbldap-useradd
===================================================================
--- npl/fileserver/smb-ldap-tool/modified/smbldap-useradd	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/fileserver/smb-ldap-tool/modified/smbldap-useradd	(revision fdfd619d81439b0dfb35f7035cb701ae09500852)
@@ -149,5 +149,5 @@
 
 my $userUidNumber = $Options{'u'};
-if (!defined($userUidNumber)) { 
+if (!defined($userUidNumber)) {
   $userUidNumber=get_next_id($config{usersdn},"uidNumber");
 } elsif (getpwuid($userUidNumber)) {
@@ -158,8 +158,9 @@
   system "/etc/init.d/nscd start > /dev/null 2>&1";
 }
+system "nscd -i passwd; nscd -i group";
 
 my $createGroup = 0;
 my $userGidNumber = $Options{'g'};
-# gid not specified ? 
+# gid not specified ?
 if (!defined($userGidNumber)) {
   # windows machine => $config{defaultComputerGid}
@@ -252,5 +253,5 @@
 # MACHINE ACCOUNT
 if (defined($Options{'w'}) or defined($Options{'i'})) {
-   
+
   # if Options{'i'} and username does not end with $ caracter => we add it
   if ( $Options{'i'} and !($userName =~ m/\$$/) ) {
@@ -270,5 +271,5 @@
     system "stty -echo";
     print "New password : ";
-    chomp($pass=<STDIN>); 
+    chomp($pass=<STDIN>);
     print "\n";
     system "stty echo";
@@ -345,5 +346,5 @@
 	my $OX_TZ = "Europe/Amsterdam";
 	my $WRITE_GLOBAL_ADDR = "TRUE";
-	
+
   my $GROUPWARE_SERVER="none";
   if (defined($Options{'W'}))
@@ -388,9 +389,9 @@
 $add->code && warn "failed to add entry: ", $add->error ;
 
-my $add2 = $ldap_master->add ("ou=addr,uid=$userName,$config{usersdn}", attr => [   'objectclass' => ['top','organizationalUnit'], 'ou'   => "addr" ] );   
+my $add2 = $ldap_master->add ("ou=addr,uid=$userName,$config{usersdn}", attr => [   'objectclass' => ['top','organizationalUnit'], 'ou'   => "addr" ] );
 
 my $add3 = $ldap_master->modify ("cn=AddressAdmins,o=AddressBook,$config{suffix}",add => { member  => "uid=$userName,$config{usersdn}" });
     $add3->code && warn "failed to add entry: ", $add3->error ;
-																																							    
+
 
 #if ($createGroup) {
@@ -416,7 +417,7 @@
       system "chown -R $userUidNumber:$userGidNumber $userHomeDirectory 2>/dev/null";
       if (defined $config{userHomeDirectoryMode}) {
-	system "chmod $config{userHomeDirectoryMode} $userHomeDirectory 2>/dev/null"; 
+	system "chmod $config{userHomeDirectoryMode} $userHomeDirectory 2>/dev/null";
       } else {
-	system "chmod 700 $userHomeDirectory 2>/dev/null"; 
+	system "chmod 700 $userHomeDirectory 2>/dev/null";
       }
     }
@@ -498,5 +499,5 @@
 						   ]
 				      );
-	
+
     $modify->code && die "failed to add entry: ", $modify->error ;
 
Index: npl/fileserver/smb-ldap-tool/modified/smbldap-userdel
===================================================================
--- npl/fileserver/smb-ldap-tool/modified/smbldap-userdel	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/fileserver/smb-ldap-tool/modified/smbldap-userdel	(revision fdfd619d81439b0dfb35f7035cb701ae09500852)
@@ -105,4 +105,5 @@
   system "/etc/init.d/nscd restart > /dev/null 2>&1";
 }
+system "nscd -i passwd; nscd -i group";
 
 $ldap_master->unbind;		# take down session
Index: npl/fileserver/smb-ldap-tool/modified/smbldap-usermod
===================================================================
--- npl/fileserver/smb-ldap-tool/modified/smbldap-usermod	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/fileserver/smb-ldap-tool/modified/smbldap-usermod	(revision fdfd619d81439b0dfb35f7035cb701ae09500852)
@@ -113,5 +113,5 @@
   my $valpwdcanchange = 0;
   my $valpwdmustchange = $winmagic;
-  my $valpwdlastset = 0; 
+  my $valpwdlastset = 0;
   my $valacctflags = "[UX]";
   my $user_entry=read_user_entry($user);
@@ -143,5 +143,5 @@
   if (defined($Options{'o'})) {
     $nscd_status = system "/etc/init.d/nscd status >/dev/null 2>&1";
-	
+
     if ($nscd_status == 0) {
       system "/etc/init.d/nscd stop > /dev/null 2>&1";
@@ -152,4 +152,5 @@
 	system "/etc/init.d/nscd start > /dev/null 2>&1";
       }
+      system "nscd -i passwd; nscd -i group";
 
       print "$0: uid number $tmp exists\n";
@@ -219,5 +220,5 @@
 }
 
-if (defined($tmp = $Options{'N'})) { 
+if (defined($tmp = $Options{'N'})) {
   push(@mods, 'cn' => $tmp);
 }
@@ -227,6 +228,6 @@
   push(@mods, 'givenName' => $tmp);
 }
-  
-if (defined($tmp = $Options{'S'})) { 
+
+if (defined($tmp = $Options{'S'})) {
   push(@mods, 'sn' => $tmp);
 }
@@ -580,4 +581,5 @@
   system "/etc/init.d/nscd restart > /dev/null 2>&1";
 }
+system "nscd -i passwd; nscd -i group";
 
 if (defined($Options{'P'})) {
Index: npl/fileserver/smb-ldap-tool/modified/smbldap_tools.pm
===================================================================
--- npl/fileserver/smb-ldap-tool/modified/smbldap_tools.pm	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/fileserver/smb-ldap-tool/modified/smbldap_tools.pm	(revision fdfd619d81439b0dfb35f7035cb701ae09500852)
@@ -241,5 +241,5 @@
 	undef $smbconf{$parameter_smb};
   }
-  
+
 }
 
@@ -287,5 +287,5 @@
 									 # debug => 0xffff,
 									);
-									
+
 	if ($ldap_master)
 	{
@@ -542,5 +542,5 @@
 										  ]
 								);
-	
+
 	$add->code && warn "failed to add entry: ", $add->error ;
 	sleep($wait);
@@ -564,5 +564,5 @@
 	$name =~ s/.$//s;
 
-	my ($lmpassword,$ntpassword) = ntlmgen $name;	
+	my ($lmpassword,$ntpassword) = ntlmgen $name;
 	my $modify = $ldap->modify ( "uid=$user,$config{computersdn}",
 										changes => [
@@ -581,5 +581,5 @@
 												   ]
 									  );
-	
+
 	$modify->code && die "failed to add entry: ", $modify->error ;
 
@@ -594,5 +594,5 @@
 	if (!defined(get_group_dn($group))) {
 	  print "$0: group \"$group\" doesn't exist\n";
-	  exit (6); 
+	  exit (6);
 	}
 	if (!defined($dn_line)) {
@@ -666,5 +666,5 @@
   }
 
-  
+
 sub add_grouplist_user
 {
@@ -683,5 +683,5 @@
 	my $dn_line;
 	my $dn = get_dn_from_line($dn_line);
-	
+
 	if (!defined($dn_line = get_user_dn($user))) {
 	  print "$0: user $user doesn't exist\n";
@@ -725,8 +725,8 @@
   {
 	my ($gname, $gid, $force) = @_;
-	my $nscd_status = system "/etc/init.d/nscd status >/dev/null 2>&1";
-	if ($nscd_status == 0) {
-	  system "/etc/init.d/nscd stop > /dev/null 2>&1";
-	}
+	# my $nscd_status = system "/etc/init.d/nscd status >/dev/null 2>&1";
+	# if ($nscd_status == 0) {
+	#   system "/etc/init.d/nscd stop > /dev/null 2>&1";
+	# }
 	if (!defined($gid)) {
 	  #while (defined(getgrgid($config{GID_START}))) {
@@ -742,7 +742,8 @@
 	  }
 	}
-	if ($nscd_status == 0) {
-	  system "/etc/init.d/nscd start > /dev/null 2>&1";
-	}
+	# if ($nscd_status == 0) {
+	  # system "/etc/init.d/nscd start > /dev/null 2>&1";
+	  system "nscd -i passwd; nscd -i group";
+	# }
 	my $modify = $ldap->add ( "cn=$gname,$config{groupsdn}",
 									 attrs => [
@@ -752,5 +753,5 @@
 											  ]
 								   );
-	
+
 	$modify->code && die "failed to add entry: ", $modify->error ;
 	return $gid;
@@ -1078,5 +1079,5 @@
 	}
 	my $entry = $next_uid_mesg->entry(0);
-            
+
 	$nextuid = $entry->get_value($attribute);
 	my $modify=$ldap->modify( "$config{sambaUnixIdPooldn}",
@@ -1103,5 +1104,5 @@
 
 sub utf8Encode {
-  my $arg = shift; 
+  my $arg = shift;
 
   return to_utf8(
@@ -1118,6 +1119,5 @@
                                    -charset => 'ISO-8859-1',
                                   );
-}   
+}
 
 1;
-
Index: npl/fileserver/smb-ldap-tool/smbldap_tools.build
===================================================================
--- npl/fileserver/smb-ldap-tool/smbldap_tools.build	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/fileserver/smb-ldap-tool/smbldap_tools.build	(revision fdfd619d81439b0dfb35f7035cb701ae09500852)
@@ -1,1 +1,1 @@
-6296
+6297
Index: npl/fileserver/smb-ldap-tool/smbldap_tools.md5
===================================================================
--- npl/fileserver/smb-ldap-tool/smbldap_tools.md5	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/fileserver/smb-ldap-tool/smbldap_tools.md5	(revision fdfd619d81439b0dfb35f7035cb701ae09500852)
@@ -1,19 +1,19 @@
 635eb74f648c0e803323f88b2acccf5b  ./mkntpwd
 6954fcb8495e42830f66f966b313ade1  ./modified/smbldap-groupadd
-efe7ad06ae23120990e710abdafc65a5  ./modified/smbldap-groupdel
-74e10b3b0c0bd469d0d7eef143d8a6e8  ./modified/smbldap-groupmod
+3890a56a3f957441c4da8767d35d8262  ./modified/smbldap-groupdel
+74198587f70ca0db666b313c314341f8  ./modified/smbldap-groupmod
 e3e34caeb9610c66216bd7b0ca0bd02c  ./modified/smbldap-groupshow
 fac31efdbd4fc8b6a9a5a423e4d5eee2  ./modified/smbldap-passwd
 4ad1c367e536083cac20fcc9c0b658b9  ./modified/smbldap-populate
-d61954f3fb00dffeca84e0cafb753d2c  ./modified/smbldap_tools.pm
-40e604927fb2743982a0f9da38fe3906  ./modified/smbldap-useradd
-5134af28ca607d30b0d4279550917181  ./modified/smbldap-userdel
-28ccbd899a1e942439b553090c5fb262  ./modified/smbldap-usermod
+f0d5931ea564af5bdd121825a4cf03bb  ./modified/smbldap_tools.pm
+3758abb1a25ddc845b9803bdaad34f64  ./modified/smbldap-useradd
+4287f98b7ed3f770a1740470f30fd316  ./modified/smbldap-userdel
+6d25ad2e5d33313c0c71b6a5d463372d  ./modified/smbldap-usermod
 4bd42a0df5071bbaeeb9819e5c5318b1  ./modified/smbldap-usershow
 c83f3694fa6ef6e3e9de41f1b4fc9fa6  ./post.smbldap_tools
 f6a54e34c456554c0e616ede34744054  ./smbldap_bind.conf
-c0c2673d7bc3596d475952c10143d1df  ./smbldap.conf
+1147788ffd040dc26a527591e090db69  ./smbldap.conf
 bb8eb44adb4e7946de5b486acf480c24  ./smbldap-tools-0.9.2a.tgz
-8e7aff562b505ffa711ebc1e03cb463b  ./smbldap_tools.pkg
+e4e0dda6263f88d7957e8319df3979ca  ./smbldap_tools.pkg
 0510a4ab26ebc85f1dbaef0cbad5fe85  ./smbldap_tools.SlackBuild
-1cc215a5f5310e458d4189ab56d1c8a8  ./smbldap_tools.SlackBuild.log.gz
+29e706339374f765b0b143bd27f8b54f  ./smbldap_tools.SlackBuild.log.gz
